API ReferenceEndpointsPlatform
Search, filter, sort and page the template catalog. Public: no token needed. `total` counts every match, and `categories` counts the matches in each category with every other filter applied. Omit `limit` for every match
Query Parameters
q?string
Length
length <= 100category?string
Length
length <= 60price?string
Value in
- "free"
- "paid"
maxPrice?integer
Range
0 <= value <= 9007199254740991minRating?number
Range
0 <= value <= 5singleService?boolean
withDatabase?boolean
updatedThisWeek?boolean
sort?string
Default
"popular"Value in
- "popular"
- "rating"
- "updated"
- "price"
- "name"
offset?integer
Range
0 <= value <= 9007199254740991Default
0limit?integer
Range
1 <= value <= 500Response Body
application/json
curl -X GET "https://example.com/api/templates"{ "templates": [ { "slug": "string", "name": "string", "description": "string", "hint": "string", "version": "string", "installs": -9007199254740991, "category": "string", "services": [ { "name": "string", "image": "string", "role": "string" } ], "quota": { "cpu": 0, "memory": 0, "storage": 0 }, "icon": "string", "rating": 0, "ratings": -9007199254740991, "updatedAt": "string" } ], "total": -9007199254740991, "categories": [ { "name": "string", "count": -9007199254740991 } ]}